gr::radar::spectrogram_plot Class Reference

`#include <spectrogram_plot.h>`

Inheritance diagram for gr::radar::spectrogram_plot:

## Public Slots

void | refresh ()

## Public Member Functions

| spectrogram_plot (int interval, int vlen, std::vector< float > *buffer, std::string label_x, std::string label_y, std::string label, std::vector< float > axis_x, std::vector< float > axis_y, std::vector< float > axis_z, bool autoscale_z, QWidget *parent=0)
| ~spectrogram_plot ()

## Protected Member Functions

void | resizeEvent (QResizeEvent *event)

## Constructor & Destructor Documentation

## spectrogram_plot()

gr::radar::spectrogram_plot::spectrogram_plot | ( | int | interval,
|  | int | vlen,
|  | std::vector< float > * | buffer,
|  | std::string | label_x,
|  | std::string | label_y,
|  | std::string | label,
|  | std::vector< float > | axis_x,
|  | std::vector< float > | axis_y,
|  | std::vector< float > | axis_z,
|  | bool | autoscale_z,
|  | QWidget * | parent = 0 )

## ~spectrogram_plot()

gr::radar::spectrogram_plot::~spectrogram_plot | ( |  | ) |

## Member Function Documentation

## refresh

void gr::radar::spectrogram_plot::refresh | ( |  | ) |

slot

## resizeEvent()

void gr::radar::spectrogram_plot::resizeEvent | ( | QResizeEvent * | event | ) |

protected

The documentation for this class was generated from the following file:

- spectrogram_plot.h